
Modular Input - Feature #2235

Feature # 2144 (Closed): Add support for SHC

Make input not run if on SHC but not the captain

03/24/2018 04:22 AM - Luke Murphey

Status: Closed Start date: 03/23/2018

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

Associated revisions

Revision 38 - 04/01/2018 03:40 AM - lukemurphey

Fixing detection of SHC captains

Reference #2235

History

#1 - 03/30/2018 05:28 PM - Luke Murphey

import os

import sys

import socket

import splunk.auth

print "Hostname:", socket.gethostname()

session_key = splunk.auth.getSessionKey(username='admin', password='Chang3d!')

path_to_mod_input_lib = os.path.join(os.getcwd(), 'modular_input.zip')

sys.path.insert(0, path_to_mod_input_lib)

from modular_input.server_info import ServerInfo

print "is_on_shc:", ServerInfo.is_on_shc(session_key)

server_info = ServerInfo.get_server_info(session_key)

print "server_info:", server_info

shc_info = ServerInfo.get_shc_cluster_info(session_key)

print "shc_info:", shc_info

shc_captain = ServerInfo.get_dict_object(shc_info, ['content', 'captain', 'label'])

print "shc_captain:", shc_captain

print "is_shc_captain:", ServerInfo.is_shc_captain(session_key)
#2 - 04/01/2018 12:47 AM - Luke Murphey

- % Done changed from 0 to 50

This appears to be correctly running on the captain. However, no results are coming in.

#3 - 04/01/2018 01:51 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 50 to 100
